/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02884
 |        NATIONAL TREATMENT IMPROVEMENT EVALUATION STUDY (NTIES),
 |                               1992-1997
 |          (DATASET 0004: NTIES PATIENT RECORD ABSTRACTION FORM
 |                                (NPRAF))
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace PRGMTYPE = . if (PRGMTYPE <= -1 )
replace TRT2 = . if (TRT2 <= -1 )
replace PRG2 = . if (PRG2 <= -1 )
replace CELL = . if (CELL <= -1 )
replace CELL2 = . if (CELL2 <= -1 )
replace F3_1 = . if (F3_1 <= -1 )
replace F3_2 = . if (F3_2 <= -1 )
replace F3_3 = . if (F3_3 <= -1 )
replace F4 = . if (F4 <= -1 )
replace F7 = . if (F7 <= -1 )
replace F7A_1 = . if (F7A_1 <= -1 )
replace F7A_2 = . if (F7A_2 <= -1 )
replace F7A_3 = . if (F7A_3 <= -1 )
replace F8 = . if (F8 <= -1 )
replace F9 = . if (F9 <= -1 )
replace F10A = . if (F10A <= -1 )
replace F10B = . if (F10B <= -1 )
replace F11 = . if (F11 <= -1 )
replace F11B = . if (F11B <= -1 )
replace F11C = . if (F11C <= -1 )
replace F12 = . if (F12 <= -1 )
replace F12C = . if (F12C <= -1 )
replace F13M1 = . if (F13M1 <= -1 )
replace F13M2 = . if (F13M2 <= -1 )
replace F13M3 = . if (F13M3 <= -1 )
replace F13M4 = . if (F13M4 <= -1 )
replace F13M5 = . if (F13M5 <= -1 )
replace F13M6 = . if (F13M6 <= -1 )
replace F13M7 = . if (F13M7 <= -1 )
replace F13M8 = . if (F13M8 <= -1 )
replace F13M9 = . if (F13M9 <= -1 )
replace F13M10 = . if (F13M10 <= -1 )
replace F13M11 = . if (F13M11 <= -1 )
replace F13M12 = . if (F13M12 <= -1 )
replace F13M13 = . if (F13M13 <= -1 )
replace F14 = . if (F14 <= -1 )
replace F14A1 = . if (F14A1 <= -1.00 )
replace F14A1M1 = . if (F14A1M1 <= -1 )
replace F14A1M2 = . if (F14A1M2 <= -1 )
replace F14A1M3 = . if (F14A1M3 <= -1 )
replace F14A1M4 = . if (F14A1M4 <= -1 )
replace F14A1M5 = . if (F14A1M5 <= -1 )
replace F14A1M6 = . if (F14A1M6 <= -1 )
replace F14A1M7 = . if (F14A1M7 <= -1 )
replace F14A1M8 = . if (F14A1M8 <= -1 )
replace F14A1M9 = . if (F14A1M9 <= -1 )
replace F14A2 = . if (F14A2 <= -1.00 )
replace F14A2M1 = . if (F14A2M1 <= -1 )
replace F14A2M2 = . if (F14A2M2 <= -1 )
replace F14A2M3 = . if (F14A2M3 <= -1 )
replace F14A2M4 = . if (F14A2M4 <= -1 )
replace F14A2M6 = . if (F14A2M6 <= -1 )
replace F14A2M8 = . if (F14A2M8 <= -1 )
replace F14A2M9 = . if (F14A2M9 <= -1 )
replace F14A3 = . if (F14A3 <= -1.00 )
replace F14A3M1 = . if (F14A3M1 <= -1 )
replace F14A3M2 = . if (F14A3M2 <= -1 )
replace F14A3M3 = . if (F14A3M3 <= -1 )
replace F14A3M4 = . if (F14A3M4 <= -1 )
replace F14A3M6 = . if (F14A3M6 <= -1 )
replace F14A3M8 = . if (F14A3M8 <= -1 )
replace F14A3M9 = . if (F14A3M9 <= -1 )
replace F14A4 = . if (F14A4 <= -1.00 )
replace F14A4M1 = . if (F14A4M1 <= -1 )
replace F14A4M2 = . if (F14A4M2 <= -1 )
replace F14A4M3 = . if (F14A4M3 <= -1 )
replace F14A4M4 = . if (F14A4M4 <= -1 )
replace F14A4M5 = . if (F14A4M5 <= -1 )
replace F14A4M6 = . if (F14A4M6 <= -1 )
replace F14A4M7 = . if (F14A4M7 <= -1 )
replace F14A4M8 = . if (F14A4M8 <= -1 )
replace F14A4M9 = . if (F14A4M9 <= -1 )
replace F14A5 = . if (F14A5 <= -1.00 )
replace F14A5M1 = . if (F14A5M1 <= -1 )
replace F14A5M2 = . if (F14A5M2 <= -1 )
replace F14A5M3 = . if (F14A5M3 <= -1 )
replace F14A5M4 = . if (F14A5M4 <= -1 )
replace F14A5M6 = . if (F14A5M6 <= -1 )
replace F14A5M8 = . if (F14A5M8 <= -1 )
replace F14A5M9 = . if (F14A5M9 <= -1 )
replace F14A6 = . if (F14A6 <= -1.00 )
replace F14A6M1 = . if (F14A6M1 <= -1 )
replace F14A6M2 = . if (F14A6M2 <= -1 )
replace F14A6M3 = . if (F14A6M3 <= -1 )
replace F14A6M4 = . if (F14A6M4 <= -1 )
replace F14A6M6 = . if (F14A6M6 <= -1 )
replace F14A6M8 = . if (F14A6M8 <= -1 )
replace F14A6M9 = . if (F14A6M9 <= -1 )
replace F14A7 = . if (F14A7 <= -1.00 )
replace F14A7M1 = . if (F14A7M1 <= -1 )
replace F14A7M2 = . if (F14A7M2 <= -1 )
replace F14A7M3 = . if (F14A7M3 <= -1 )
replace F14A7M4 = . if (F14A7M4 <= -1 )
replace F14A7M5 = . if (F14A7M5 <= -1 )
replace F14A7M6 = . if (F14A7M6 <= -1 )
replace F14A7M8 = . if (F14A7M8 <= -1 )
replace F14A7M9 = . if (F14A7M9 <= -1 )
replace F14A8 = . if (F14A8 <= -1.00 )
replace F14A8M1 = . if (F14A8M1 <= -1 )
replace F14A8M2 = . if (F14A8M2 <= -1 )
replace F14A8M3 = . if (F14A8M3 <= -1 )
replace F14A8M4 = . if (F14A8M4 <= -1 )
replace F14A8M6 = . if (F14A8M6 <= -1 )
replace F14A8M7 = . if (F14A8M7 <= -1 )
replace F14A8M8 = . if (F14A8M8 <= -1 )
replace F14A8M9 = . if (F14A8M9 <= -1 )
replace F14A9 = . if (F14A9 <= -1.00 )
replace F14A9M1 = . if (F14A9M1 <= -1 )
replace F14A9M2 = . if (F14A9M2 <= -1 )
replace F14A9M3 = . if (F14A9M3 <= -1 )
replace F14A9M4 = . if (F14A9M4 <= -1 )
replace F14A9M6 = . if (F14A9M6 <= -1 )
replace F14A9M7 = . if (F14A9M7 <= -1 )
replace F14A9M8 = . if (F14A9M8 <= -1 )
replace F14A9M9 = . if (F14A9M9 <= -1 )
replace F14A10 = . if (F14A10 <= -1.00 )
replace F14A10M1 = . if (F14A10M1 <= -1 )
replace F14A10M2 = . if (F14A10M2 <= -1 )
replace F14A10M3 = . if (F14A10M3 <= -1 )
replace F14A10M7 = . if (F14A10M7 <= -1 )
replace F14A10M8 = . if (F14A10M8 <= -1 )
replace F14A10M9 = . if (F14A10M9 <= -1 )
replace F14A11 = . if (F14A11 <= -1.00 )
replace F14A11M1 = . if (F14A11M1 <= -1 )
replace F14A11M2 = . if (F14A11M2 <= -1 )
replace F14A11M3 = . if (F14A11M3 <= -1 )
replace F14A11M7 = . if (F14A11M7 <= -1 )
replace F14A11M8 = . if (F14A11M8 <= -1 )
replace F14A11M9 = . if (F14A11M9 <= -1 )
replace F14A12 = . if (F14A12 <= -1.00 )
replace F14A12M1 = . if (F14A12M1 <= -1 )
replace F14A12M2 = . if (F14A12M2 <= -1 )
replace F14A12M3 = . if (F14A12M3 <= -1 )
replace F14A12M5 = . if (F14A12M5 <= -1 )
replace F14A12M7 = . if (F14A12M7 <= -1 )
replace F14A12M8 = . if (F14A12M8 <= -1 )
replace F14A12M9 = . if (F14A12M9 <= -1 )
replace F15A1 = . if (F15A1 == 7)
replace F15A1 = . if (F15A1 <= -1 )
replace F15A2 = . if (F15A2 == 7)
replace F15A2 = . if (F15A2 <= -1 )
replace F15A3 = . if (F15A3 == 7)
replace F15A3 = . if (F15A3 <= -1 )
replace F15A4 = . if (F15A4 == 7)
replace F15A4 = . if (F15A4 <= -1 )
replace F15A6 = . if (F15A6 == 7)
replace F15A6 = . if (F15A6 <= -1 )
replace F15A7 = . if (F15A7 == 7)
replace F15A7 = . if (F15A7 <= -1 )
replace F15A8 = . if (F15A8 == 7)
replace F15A8 = . if (F15A8 <= -1 )
replace F15A9 = . if (F15A9 == 7)
replace F15A9 = . if (F15A9 <= -1 )
replace F15A10 = . if (F15A10 == 7)
replace F15A10 = . if (F15A10 <= -1 )
replace F15A11 = . if (F15A11 == 7)
replace F15A11 = . if (F15A11 <= -1 )
replace F15A12 = . if (F15A12 == 7)
replace F15A12 = . if (F15A12 <= -1 )
replace F15A13 = . if (F15A13 == 7)
replace F15A13 = . if (F15A13 <= -1 )
replace F15A14 = . if (F15A14 == 7)
replace F15A14 = . if (F15A14 <= -1 )
replace F15A15 = . if (F15A15 == 7)
replace F15A15 = . if (F15A15 <= -1 )
replace F15A16 = . if (F15A16 == 7)
replace F15A16 = . if (F15A16 <= -1 )
replace F15A17 = . if (F15A17 == 7)
replace F15A17 = . if (F15A17 <= -1 )
replace F15A18 = . if (F15A18 == 7)
replace F15A18 = . if (F15A18 <= -1 )
replace F15A19 = . if (F15A19 == 7)
replace F15A19 = . if (F15A19 <= -1 )
replace F15A20 = . if (F15A20 <= -1 )
replace F15A21 = . if (F15A21 <= -1 )
replace F15A22 = . if (F15A22 == 7)
replace F15A22 = . if (F15A22 <= -1 )
replace F15A23 = . if (F15A23 == 7)
replace F15A23 = . if (F15A23 <= -1 )
replace F15A24 = . if (F15A24 == 7)
replace F15A24 = . if (F15A24 <= -1 )
replace F16M1 = . if (F16M1 <= -1 )
replace F16M2 = . if (F16M2 <= -1 )
replace F16M3 = . if (F16M3 <= -1 )
replace F16M4 = . if (F16M4 <= -1 )
replace F16M5 = . if (F16M5 <= -1 )
replace F16M6 = . if (F16M6 <= -1 )
replace F16M7 = . if (F16M7 <= -1 )
replace F16M8 = . if (F16M8 <= -1 )
replace F16M9 = . if (F16M9 <= -1 )
replace F16M11 = . if (F16M11 <= -1 )
replace F16M12 = . if (F16M12 <= -1 )
replace F17 = . if (F17 <= -1 )
replace F17A1 = . if (F17A1 <= -1.00 )
replace F17A1A4 = . if (F17A1A4 <= -1 )
replace F17A1A5 = . if (F17A1A5 <= -1 )
replace F17A2 = . if (F17A2 <= -1.00 )
replace F17A2A4 = . if (F17A2A4 <= -1 )
replace F17A2A5 = . if (F17A2A5 <= -1 )
replace F17A3 = . if (F17A3 <= -1.00 )
replace F17A3A4 = . if (F17A3A4 <= -1 )
replace F17A3A5 = . if (F17A3A5 <= -1 )
replace F17A4 = . if (F17A4 <= -1.00 )
replace F17A4A4 = . if (F17A4A4 <= -1 )
replace F17A4A5 = . if (F17A4A5 <= -1 )
replace F17A5 = . if (F17A5 <= -1.00 )
replace F17A5A4 = . if (F17A5A4 <= -1 )
replace F17A5A5 = . if (F17A5A5 <= -1 )
replace F17A6 = . if (F17A6 <= -1.00 )
replace F17A6A4 = . if (F17A6A4 <= -1 )
replace F17A6A5 = . if (F17A6A5 <= -1 )
replace F17A7 = . if (F17A7 <= -1.00 )
replace F17A7A4 = . if (F17A7A4 <= -1 )
replace F17A7A5 = . if (F17A7A5 <= -1 )
replace F17A8 = . if (F17A8 <= -1.00 )
replace F17A8A4 = . if (F17A8A4 <= -1 )
replace F17A8A5 = . if (F17A8A5 <= -1 )
replace F17A9 = . if (F17A9 <= -1.00 )
replace F17A9A4 = . if (F17A9A4 <= -1 )
replace F17A9A5 = . if (F17A9A5 <= -1 )
replace F17A10 = . if (F17A10 <= -1.00 )
replace F17A10A4 = . if (F17A10A4 <= -1 )
replace F17A10A5 = . if (F17A10A5 <= -1 )
replace F17A11 = . if (F17A11 <= -1.00 )
replace F17A11A4 = . if (F17A11A4 <= -1 )
replace F17A11A5 = . if (F17A11A5 <= -1 )
replace F17A12 = . if (F17A12 <= -1.00 )
replace F17A12A4 = . if (F17A12A4 <= -1 )
replace F17A12A5 = . if (F17A12A5 <= -1 )
replace F17A13 = . if (F17A13 <= -1.00 )
replace F17A13A4 = . if (F17A13A4 <= -1 )
replace F17A13A5 = . if (F17A13A5 <= -1 )
replace F17A14 = . if (F17A14 <= -1.00 )
replace F17A14A4 = . if (F17A14A4 <= -1 )
replace F17A14A5 = . if (F17A14A5 <= -1 )
replace F17B = . if (F17B <= -1 )
replace F18 = . if (F18 <= -1 )
replace F19 = . if (F19 <= -1 )
replace F20 = . if (F20 <= -1 )
replace F20A1 = . if (F20A1 <= -1 )
replace F20A2 = . if (F20A2 <= -1 )
replace F20A3 = . if (F20A3 <= -1 )
replace F20B = . if (F20B == 4)
replace F20B = . if (F20B <= -1 )
replace PRAFMODE = . if (PRAFMODE <= -1 )


